Subject: [bug#68556] [PATCH gnome-team 24/25] gnu: gnome-shell-extension-vertical-overview: Update style.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 18 Jan 2024 20:53:39 +0100

Am Donnerstag, dem 18.01.2024 um 12:38 +0100 schrieb Vivien Kraus:
> Le jeudi 18 janvier 2024 à 06:24 +0100, Liliana Marie Prikler a
> écrit :
> > Am Mittwoch, dem 17.01.2024 um 23:48 +0100 schrieb Vivien Kraus:
> > > * gnu/packages/gnome-xyz.scm (gnome-shell-extension-vertical-
> > > overview)
> > > [arguments]: Convert to list of G-Expressions.
> > > 
> > > Change-Id: I830854d7c2ce262906331e5aef59f6dd7af28c98
> > Given that it's removed in the next commit, this is just noise. 
> > Probably same for the other removed extensions.
> 
> I figured that it would be easier to revert and update if and when
> the extension  is ported to a newer GNOME Shell. I agree though, if
> someone wants to add the extension again, they probably won’t read
> the git log, so it’s not very helpful.
Even then, people can just run `guix style' from that hypothetical
commit, and it might even have more features then.

> > Do we have alternatives for these or is it just "extension no
> > work"?
> I don’t know much.
> 
> From what I understand, hide-app-icon is not replaced, but now the
> application icons in the shell are symbolic and tiny, so maybe it’s
> not needed anymore.
As long as they're not gone, there's a need to replace them.  However,
another extension like just-perfection might do this.

> On the repository, people are talking about forking jiggle, but I
> don’t know of any alternative.
Let's keep looking, then.

> NoAnnoyance has a fork that claims support for 44, maybe we should
> package that, what do you think?
> https://extensions.gnome.org/extension/6109/noannoyance-fork/
Packaging forks is fair game.  We can revert to the original whenever.
Just leave a comment that it's a fork and why we're using it.

> Sound output device chooser is obsolete because now with the shell
> you can directly choose the audio device.
Good news for users, but awkward in terms of packaging.  I don't thing
(deprecated-package gnome …) will work as intended. 

> The panel already shows system tray icons, so Topicons Redux is not
> needed anymore.
> 
> There is a candidate replacement for Transparent Window,
> https://extensions.gnome.org/extension/1454/transparent-window/ but
> it does not support GNOME 44 either.
Bummer.

> Maybe V-Shell
> https://extensions.gnome.org/extension/5177/vertical-workspaces/ can
> replace Vertical overview?

> I’m not a fan of removing packages like that, because guix upgrade
> will quickly complain about profile collisions.  
Profile collisions come from propagated packages, not deprecated
packages.

> But I would like to hear the users about these candidate replacements
> for NoAnnoyance v2 (NoAnnoyance Fork) and Vertical overview (V-Shell)
> first, and the users on the extensions forum do not seem to talk
> about these replacements.
> 
> What do you think?
I don't think we'll get much feedback from elsewhere, but with gnome-
team building substitutes again, I can at least try some out.

Cheers